## rafkill 1.2.1

=== SConstruct ===
import os
import sys

env = Environment( ENV = os.environ );
config = env.Configure();

# env.Append( CCFLAGS = flags, CPPPATH = [ "../src" ] );

print "Use 'scons -h' for help"

opts = Options( 'rafkill.conf' )
opts.Add( PathOption('prefix', 'Directory to install under', '/usr/local/games') )
opts.Add( PathOption('bin', 'Directory where symlinked executable should go', '/usr/local/bin' ) )
opts.Update( env )
opts.Save( 'rafkill.conf', env )

Help( opts.GenerateHelpText( env ) )

if False:
	env.Append( CCFLAGS = [ '-Werror' ] )

if False:
	env.Append( CCFLAGS = [ '-pg' ] )
	env.Append( LINKFLAGS = [ '-pg' ] )

env.BuildDir( 'build/', 'src/' )
env.Append( LIBS = [ 'aldmb', 'dumb' ] );
if sys.platform == 'win32':
	env.Append( CCFLAGS = [ '-DWINDOWS' ] )
	env.Append( LIBS = [ 'alleg', 'pthreadGC2' ] )
else:
	env.ParseConfig( 'allegro-config --libs' );
	env.Append( LIBS = [ 'pthread' ] )

# print "Install directory = $prefix"
# print "Directory where symlinked binary will go = $bin"

flags = [ '-g3', '-Wall', '-fno-rtti', '-Woverloaded-virtual', '-O2', '-DINSTALL_DIR=\\\"$prefix\\\"' ];
env.Append( CCFLAGS = flags, CPPPATH = [ "build" ] )

# SConscript( 'src/SConscript', build_dir='build', exports = 'env' );
sources = SConscript( 'src/SConscript', exports = 'env' );
rafkill = env.Program( 'rafkill', map( lambda x: 'build/' + x, sources ) )

def installReminder( target, source, env ):
	print
	print "Run 'scons install' to install rafkill"
	return 0

def ShutUp( target, source, env ):
	pass

env.AddPostAction( rafkill, Action( installReminder, strfunction=ShutUp ) )
env.Default( rafkill )
# rafkill = env.Install( '.', 'build/rafkill' );

# env.Default( rafkill )

# package = env.Install( '.', 'source.tar' )
env.Alias( 'package', 'src/source.tar' )

def install( target, source, env ):
	print "Installing!"
	return 0

installDir = '$prefix/'

## Install binary
env.Install( installDir + 'rafkill', rafkill )
def addData( file ):
	env.Install( installDir + 'rafkill/data', "data/%s" % file )
addData( '1.pck' )
addData( '2.pck' )
addData( '3.pck' )
addData( 'beast.fnt' )
addData( 'buy-menu.pcx' )
addData( 'buy-scene.pcx' )
addData( 'fonts.dat' )
addData( 'intro.mod' )
addData( 'level1.lev' )
addData( 'level2.lev' )
addData( 'level3.lev' )
addData( 'level4.lev' )
addData( 'level5.lev' )
addData( 'level6.lev' )
addData( 'level7.lev' )
addData( 'level8.lev' )
addData( 'logosmoot.pcx' )
addData( 'raptor.dat' )
addData( 'sound.dat' )
addData( 'table.col' )
addData( 'vulture.fnt' )

def addMusic( file ):
	env.Install( installDir + 'rafkill/music', "music/%s" % file )

def songFile( song ):
	import re
	types = [ '.*\.s3m$', '.*\.mod$', '.*\.it$', '.*\.xm$' ]
	for type in types:
		if re.compile( type ).match( song.lower() ):
			return True
	return False

for i in os.listdir( 'music' ):
	if songFile( i ):
		addMusic( i )

installSymlink = '$bin/'

def makeSymLink( target, source, env ):
	# srcFile = os.path.abspath( str(source[ 0 ]) )
	srcFile = source[ 0 ]
	env.Execute( Action( 'ln -s %s %s' % (srcFile,target[0]) ) )

# SymLink = Builder( action = "ln -s $SOURCES $TARGET" )
SymLink = Builder( action = Action( makeSymLink ) )

env.Append( BUILDERS = { 'SymLink' : SymLink } )

# link = env.SymLink( target = 'rafkill-link', source = '$prefix/rafkill/rafkill' )

# env.InstallAs( target = installSymlink + 'rafkill', source = link )
# env.Install( installSymlink + 'rafkill', link )

# print 'Absolute path = ' + os.path.abspath( '$prefix/rafkill/rafkill' )

# xpath = os.path.abspath( 'rafkill' )

xpath = '$prefix/rafkill/rafkill'

# print "XPath = " + xpath

# env.SymLink( '$bin/rafkill', os.path.abspath( '$prefix/rafkill/rafkill' ) )
env.SymLink( '$bin/rafkill', xpath )

env.Alias( 'install', installDir )
env.Alias( 'install', installSymlink )

## rafkill 1.2.2

=== Makefile ===
all:
	scons

install:
	scons install

clean:
	scons -c

=== SConstruct ===
--- 
+++ 
@@ -8,9 +8,20 @@
 
 print "Use 'scons -h' for help"
 
+prefix = '/usr/local/games'
+bin = '/usr/local/bin'
+if sys.platform == 'win32':
+	try:
+		Execute(Mkdir('gen'))
+	except:
+		pass
+	
+	prefix = 'gen'
+	bin = 'gen'
+
 opts = Options( 'rafkill.conf' )
-opts.Add( PathOption('prefix', 'Directory to install under', '/usr/local/games') )
-opts.Add( PathOption('bin', 'Directory where symlinked executable should go', '/usr/local/bin' ) )
+opts.Add( PathOption('prefix', 'Directory to install under', prefix ) )
+opts.Add( PathOption('bin', 'Directory where symlinked executable should go', bin ) )
 opts.Update( env )
 opts.Save( 'rafkill.conf', env )
 
@@ -69,27 +80,30 @@
 env.Install( installDir + 'rafkill', rafkill )
 def addData( file ):
 	env.Install( installDir + 'rafkill/data', "data/%s" % file )
-addData( '1.pck' )
-addData( '2.pck' )
-addData( '3.pck' )
-addData( 'beast.fnt' )
-addData( 'buy-menu.pcx' )
-addData( 'buy-scene.pcx' )
-addData( 'fonts.dat' )
-addData( 'intro.mod' )
-addData( 'level1.lev' )
-addData( 'level2.lev' )
-addData( 'level3.lev' )
-addData( 'level4.lev' )
-addData( 'level5.lev' )
-addData( 'level6.lev' )
-addData( 'level7.lev' )
-addData( 'level8.lev' )
-addData( 'logosmoot.pcx' )
-addData( 'raptor.dat' )
-addData( 'sound.dat' )
-addData( 'table.col' )
-addData( 'vulture.fnt' )
+
+map( lambda x: addData( x ), Split( """
+1.pck
+2.pck
+3.pck
+beast.fnt
+buy-menu.pcx
+buy-scene.pcx
+fonts.dat
+intro.mod
+level1.lev
+level2.lev
+level3.lev
+level4.lev
+level5.lev
+level6.lev
+level7.lev
+level8.lev
+logosmoot.pcx
+raptor.dat
+sound.dat
+table.col
+vulture.fnt
+"""));
 
 def addMusic( file ):
 	env.Install( installDir + 'rafkill/music', "music/%s" % file )
@@ -132,7 +146,8 @@
 # print "XPath = " + xpath
 
 # env.SymLink( '$bin/rafkill', os.path.abspath( '$prefix/rafkill/rafkill' ) )
-env.SymLink( '$bin/rafkill', xpath )
+if sys.platform != 'win32':
+	env.SymLink( '$bin/rafkill', xpath )
 
 env.Alias( 'install', installDir )
 env.Alias( 'install', installSymlink )

=== debian/changelog ===
rafkill (1.2.2-9) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #711562)
  * .desktop file and icon are already provided (Closes: #738015, LP: #374689)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 31 Mar 2025 13:32:38 +0200

rafkill (1.2.2-8) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Bump debhelper from old 12 to 13.
  * Added XDG desktop entry replacing Debian menu.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 May 2024 22:47:27 +0200

rafkill (1.2.2-7) unstable; urgency=medium

  * QA upload.
  * d/control
    - Update Standards-Version to 4.5.0
    - Change to debhelper-compat
    - Bump debhelper to 12
    - Remove outdated Vcs-* fields
    - Wrap and sort build-dependencies
    - Remove duplicated section field
    - Add Rules-Requires-Root: no
  * d/copyright
    - Use secure URI
  * Add 106_scons_python3_patch closes: # 947578

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 07 Mar 2020 21:19:37 +0100

rafkill (1.2.2-6) unstable; urgency=medium

  * QA upload.
  * Fix FTFS with glibc 2.26.

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Jan 2018 15:26:14 +0200

rafkill (1.2.2-5) unstable; urgency=medium

  * QA upload.
  * Fix several lintian warnings.
  * Drop outdated postinst and preinst.
  * Switch to minimal dh debian/rules.
  * Switch to "3.0 (quilt)" source format.
  * Rewrite copyright file based on available data.
    License is LGPL-2, not GPL-2+.
  * Make clean target to remove "build" and "config.log".
    This should make the Debian diff to be small again.
  * Fix typo in old changelog entry.

 -- Santiago Vila <sanvila@debian.org>  Fri, 18 Sep 2015 18:09:14 +0200

rafkill (1.2.2-4) unstable; urgency=low

  * Orphan the package, see #711562.
  * Change versioned build dependency liballegro4.2-dev to unversioned
    dependency on liballegro4-dev. (Closes: #710602)

 -- Tobias Hansen <thansen@debian.org>  Sat, 08 Jun 2013 00:04:03 +0200

rafkill (1.2.2-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing include).
    (Closes: #667347)

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 May 2012 01:11:59 +0200

rafkill (1.2.2-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/103_gcc_4.3_fixes:
    + Fix paths to apply to src/ instead of build/.
    + Fix more gcc-4.3 FTBFS problems (Closes: #474823).
  * Remove debian/patches/patch and an extra copy of 103_gcc_4.3_fixes
    in root of source tree, both introduced in last NMU.

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 10 Apr 2008 01:07:50 +0100

rafkill (1.2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/103_gcc_4.3_fixes:
    + Fix gcc-4.3 FTBFS, patch by tbm. (Closes: #417510)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 23:16:02 +0100

rafkill (1.2.2-3) unstable; urgency=high

  * debian/patches/101_shatter_crash.diff:
    + New patch from upstream's 1.2.3 branch, don't crash when using the
      shatter gun (Closes: #379274).

  * debian/patches/102_fullscreen_crash.diff:
    + Exit gracefully if the video mode (eg. fullscreen) could not be set
      instead of crashing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 10 Feb 2007 22:48:26 +0100

rafkill (1.2.2-2) unstable; urgency=high

  * debian/control:
    + Added XS-Vcs-Svn field.

  * debian/patches/100_save_game_crash.diff:
    + Save games in the home directory instead of $PWD (Closes: #406432) and
      do not crash if the directory is not writable (Closes: #406646).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  9 Feb 2007 23:43:28 +0100

rafkill (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * This release really fixes the "maxout shield" price issue.

  * debian/patches/030_doc_spelling.diff:
    + Patch was merged upstream. Dropping it.

  * debian/patches/020_missing_strdup.diff:
    + Patch rendered unnecessary by upstream fix. Dropping it.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  9 Feb 2007 23:43:25 +0100

rafkill (1.2.1-3) unstable; urgency=low

  * debian/rakfill.postinst:
    + Do not try to remove the symlink we just set (Closes: #375142).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Jun 2006 11:07:28 +0200

rafkill (1.2.1-2) unstable; urgency=low

  * debian/rules:
    + Properly clean the build tree in the clean rule, thanks to Damyan Ivanov
      (Closes: #368812).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 11 Jun 2006 17:18:23 +0200

rafkill (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream merged many Debian bugfixes and improvements, as well as the
    new title screen.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on scons that upstream now uses.
    + Removed build-dependencies on sharutils and bzip2.
  * Got rid of the rafkill/rafkill-data dependency loop.
  * "Maxout shield" is now far more expensive (Closes: #292742).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 16 May 2006 01:47:44 -0500

rafkill (1.2.0-4) unstable; urgency=low

  * debian/control:
    + Build-depend on liballegro4.2-dev (>= 2:4.2.0-4) to fix the missing
      libxcursor-dev build-dependency (Closes: #360195).
    + Dropped the rafkill/rafkill-data circular dependency (Closes: #339892).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 31 Mar 2006 11:22:22 +0200

rafkill (1.2.0-3) unstable; urgency=low

  * Maintainer Upload.
  * Acknowledging previous NMUs (Closes: #350167, #345248, #348808). Thanks
    to Aurélien Jarno and Steinar H. Gunderson.

  * Moved development to Alioth.
  * debian/rules
    + Switched to quilt for patch handling.
  * debian/control:
    + Build-depend on quilt.


=== debian/control ===
Source: rafkill
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libaldmb1-dev,
 liballegro4-dev,
 scons,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://raptorv2.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/rafkill
Vcs-Git: https://salsa.debian.org/games-team/rafkill.git
X-Style: black

Package: rafkill
Architecture: any
Depends:
 rafkill-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: vertical shoot'em-up similar to Raptor: Call of the Shadows
 Rafkill is a clone of Raptor: Call of the Shadows, a classic shoot'em-up game.
 .
 You have a bird's eye view of the playing field, which is an alien world,
 and your job is to destroy the enemies that are flying towards you shooting
 bullets. The score lets you buy life, shield, better weapons or even new
 spaceships.
 .
 Rafkill features three spaceships, more than twenty weapons, colourful
 graphics with transparency effects, music and sound.

Package: rafkill-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: graphics and audio data for rafkill
 Rafkill is a clone of Raptor: Call of the Shadows, a classic shoot'em-up game.
 .
 This package contains the architecture-independent data for rafkill. For more
 information, see the rafkill package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir install bin
	scons prefix=install bin=bin

execute_before_dh_clean:
	scons --clean
	rm -rf install bin build .sconf_temp
	rm -f rafkill.conf .sconsign.dblite config.log

override_dh_auto_install:
	scons install

override_dh_link-arch:
	rm -rf debian/rafkill/usr/share/doc/rafkill
	dh_link
